Summary:	Foreign Function Interface
Name:		libffi
Version:	1.20
Release:	1ppc
Copyright:	See licence
Url:		http://sources.redhat.com/libffi/
Group:		Development/C

Source0:	libffi-1.20.tar.bz2

Buildroot:	%{_tmppath}/%name-%version-root

%description
Compilers for high level languages generate code that follow certain
conventions. These conventions are necessary, in part, for separate
compilation to work. One such convention is the "calling
convention". The "calling convention" is essentially a set of
assumptions made by the compiler about where function arguments will
be found on entry to a function. A "calling convention" also specifies
where the return value for a function is found.

Some programs may not know at the time of compilation what arguments
are to be passed to a function. For instance, an interpreter may be
told at run-time about the number and types of arguments used to call
a given function. Libffi can be used in such programs to provide a
bridge from the interpreter program to compiled code.

The libffi library provides a portable, high level programming
interface to various calling conventions. This allows a programmer to
call any function specified by a call interface description at run
time.  

Ffi stands for Foreign Function Interface. A foreign function
interface is the popular name for the interface that allows code
written in one language to call code written in another language. The
libffi library really only provides the lowest, machine dependent
layer of a fully featured foreign function interface. A layer must
exist above libffi that handles type conversions for values passed
between the two languages.

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%_prefix
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog LICENSE README
%_libdir/*
%_includedir/*

%changelog
* Thu May 17 2001 Guy Streeter <streeter@redhat.com> 1.20-1ppc
- Make it build on Red Hat 7.1 on ppc

* Fri Oct 28 2000 David BAUDENS <baudens@mandrakesoft.com> 1.20-1mdk
- First spec for Linux-Mandrake distribution. Needed if you want to be able
  to build kaffe on PPC.
